| Disk ARchive 2.5.10 Full featured and portable backup and archiving tool

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces
smart_pointer.hpp File Reference
Private

template class implementing memory efficient smart pointer More...

`#include "../my_config.h"`
`#include "infinint.hpp"`
`#include "erreurs.hpp"`
`#include "on_pool.hpp"`

Go to the source code of this file.

## Classes
class | libdar::smart_node< T >
class | libdar::smart_pointer< T >

## Namespaces
| libdar
| libdar namespace encapsulate all libdar symbols

## Detailed Description

template class implementing memory efficient smart pointer

Definition in file smart_pointer.hpp.